lambdabot-core-5.3.1.2: Lambdabot core functionality

Safe Haskell | None
Language | Haskell98

Lambdabot.Compat.PackedNick

Synopsis

- type PackedNick = ByteString
- packNick :: Nick -> ByteString
- unpackNick :: ByteString -> Nick

# Documentation

type PackedNick = ByteString Source #

The type of nicknames

packNick :: Nick -> ByteString Source #

Pack a nickname into a ByteString. Note that the resulting strings are not optimally formatted for human consumtion.

unpackNick :: ByteString -> Nick Source #

Unpack a nickname packed by `packNick`.